%global srcname oslo-config

Name:           python-%{srcname}
Version:        3.1.0
Release:        %mkrel 1
Summary:        Oslo configuration API

Group:          Development/Python
License:        MIT
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/oslo.config/oslo.config-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
The Oslo configuration API supports parsing command line arguments
and .ini style configuration files.

%package -n     python3-%{srcname}
Summary:        Oslo configuration API
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
The Oslo configuration API supports parsing command line arguments
and .ini style configuration files.

This is the Python 3 version of the package.

%prep
%setup -q -n oslo.config-%{version}

# Remove bundled egg-info
rm -rf oslo.config.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/oslo-config-generator %{buildroot}%{_bindir}/python3-oslo-config-generator
popd

%py2_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/oslo*
%{_bindir}/oslo-config-generator

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*
%{_bindir}/python3-oslo-config-generator


%changelog
* Fri Dec 18 2015 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 911559
- new version: 3.1.0

* Mon Oct 12 2015 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 889868
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 2.3.0-1.mga6
+ Revision: 871279
- 2.3.0

* Mon Feb 23 2015 bcornec <bcornec> 1.6.1-1.mga5
+ Revision: 816660
- Update to upstream 1.6.1
- Update to 1.6.0 upstream

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 747412
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.1-6.mga5
+ Revision: 729262
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 688196
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 543798
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.1-2.mga4
+ Revision: 499028
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 1.2.1-1.mga4
+ Revision: 492614
- New version

* Tue Jul 30 2013 neoclust <neoclust> 1.1.1-1.mga4
+ Revision: 460765
- imported package python-oslo-config

